{ pkgs, config, ... }:
{
  imports = [
    ./nginx
    ./liquidsoap
  ];

  services.icecast = {
    enable = true;
    listen.port = 265;
    hostname = "icecast.${config.domains.jim1}";
    admin = {
      user = "jimbo";
      password = "${config.secrets.castAdminPass}";
    };
    extraConf = ''
      <authentication>
        <source-password>${config.secrets.castSourcePass}</source-password>
      </authentication>
      
      <location>Canada</location>
      <admin>jimbo@${config.domains.jim2}</admin>
      
      <mount type="normal">
        <mount-name>/jimbops.opus</mount-name>
        <stream-name>JimBops Radio</stream-name>
        <stream-description>Music gathered by me, Jimbo.</stream-description>
        <stream-url>https://icecast.jimbosfiles.com/jimbops.opus</stream-url>
        <genre>Anything</genre>
        <type>application/ogg</type>
        <subtype>vorbis</subtype>
      </mount>
    '';
  };
}
